org.eclipse.ecf.core.sharedobject.util

## Interface IQueue

All Superinterfaces:
  IQueueDequeue, IQueueEnqueue

    public interface IQueue
    extends IQueueDequeue, IQueueEnqueue

Queue that includes both enqueue (`IQueueEnqueue`) and dequeue (`IQueueDequeue`) operations

See Also:
  `IQueueEnqueue`, `IQueueDequeue`

### Method Summary

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.util.IQueueDequeue

`blocking_dequeue_all, blocking_dequeue, blocking_dequeue, dequeue_all, dequeue, dequeue, size`

### Methods inherited from interface org.eclipse.ecf.core.sharedobject.util.IQueueEnqueue

`enqueue_abort, enqueue_commit, enqueue_lossy, enqueue_prepare, enqueue, enqueue, getEnqueueProcessor, setEnqueueProcessor, size`